package ch.unibe.piccola.bytecode;

import org.apache.bcel.Constants;
import org.apache.bcel.generic.ClassGen;

import java.util.ArrayList;
import java.lang.reflect.Method;

/**
 * @author  $Id: ClassFactory.java,v 3.5 2003/01/10 13:46:25 kneubuhl Exp $
**/

public class ClassFactory extends AbstractFactory {

	public ClassGen generateClass(String className, String superClassName, 
									ArrayList interfaceNameList, int modifiers, 
									ArrayList methodDeclarationList) {
		return createClass(className, superClassName, interfaceNameList, modifiers, null, methodDeclarationList);
	}

	public ClassGen generateClass(String className, String superClassName, 
									ArrayList interfaceNameList, int modifiers,
									ArrayList fieldDeclarationList,
									ArrayList methodDeclarationList) {
		return createClass(className, superClassName, interfaceNameList, modifiers, fieldDeclarationList, methodDeclarationList);
	}
}
