package ch.unibe.piccola.syntax;

/**
 * @author   Stefan Kneubuehl
 * @version  4.0 (Jun 01, 2003)
**/
public class Syntax
{

    public static String formEmpty()
    {
        return "()";
    }

    public static String labelAdd()
    {
        return "add";
    }

    public static String labelArg()
    {
        return "arg";
    }

    public static String labelCaller()
    {
        return "caller";
    }

    public static String labelDefaultOp()
    {
        return "DefaultOp";
    }

    public static String labelDynamic()
    {
        return "dynamic";
    }

    public static String labelEquals()
    {
        return "_==_";
    }

    public static String labelFalse()
    {
        return "false";
    }

    public static String labelHash()
    {
        return "hash";
    }

    public static String labelHomeURL()
    {
        return "homeURL";
    }

    public static String labelInfixOp(String operator)
    {
        return "_" + operator + "_";
    }

    public static String labelInfixOpDefault(String operator)
    {
        return "_" + operator + "_default";
    }

    public static String labelMain()
    {
        return "main";
    }

    public static String labelMeta()
    {
        return "meta";
    }

    public static String labelNew()
    {
        return "new";
    }

    public static String labelNewArray()
    {
        return "newArray";
    }

    public static String labelL()
    {
        return "L";
    }
    public static String labelPeer()
    {
        return "peer";
    }

    public static String labelPrefixOp(String operator)
    {
        return operator + "_";
    }

    public static String labelPrefixOpDefault(String operator)
    {
        return operator + "_default";
    }

    public static String labelR()
    {
        return "R";
    }

    public static String labelReceive()
    {
        return "receive";
    }

    public static String labelSend()
    {
        return "send";
    }

    public static String labelSet()
    {
        return "set";
    }

    public static String labelSrc()
    {
        return "src";
    }

    public static String labelToString()
    {
        return "$_";
    }

    public static String labelTrue()
    {
        return "true";
    }

    public static String labelVal(int index)
    {
        return "val" + index;
    }

}
