package ch.unibe.piccola.vm;

/**
 * @author   Stefan Kneubuehl
 * @version  4.0 (Jun 01, 2003)
**/
public class FormProjectException extends FormException
{

    // ------------------------------------------------------------------------
    // public
    // ------------------------------------------------------------------------

    public FormProjectException(Form form, String label)
    {
        super(form, "Projection failed. Label '" + label + "' is not bound in form.");
        m_label = label;
    }

    public String getLabel()
    {
        return m_label;
    }

    // ------------------------------------------------------------------------
    // private
    // ------------------------------------------------------------------------

    private final String m_label;

}
